Package: org.codehaus.groovy.classgen

## [Java] Class ClassGeneratorException

- org.codehaus.groovy.classgen.ClassGeneratorException

- An exception thrown by the class generator

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassGeneratorException (String message)`
    `ClassGeneratorException (String message, Throwable cause)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, addSuppressed, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, addSuppressed, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ClassGeneratorException(String message)

    - #### public ClassGeneratorException(String message, Throwable cause)